POST
Get Global Account details
Use this endpoint to read Global Account details, lifecycle status, supported business types, and supported collection currencies.
Request
apikeyAccount service API key request header assigned by Onerway. Use the value for the same environment as the request base URL.
Example:
replace_with_account_service_apikeyrequestIdRequest ID used for request tracing.
Example:
REQ-GA-20260423-0002globalAccountIdCondition: Required when
Numeric Global Account ID, usually returned by the create endpoint.globalAccountNo is not provided. If both identifiers are provided, they must refer to the same Global Account.Example:
1001globalAccountNoCondition: Required when
Global Account number. It can be used as a business identifier for querying account details.globalAccountId is not provided. If both identifiers are provided, they must refer to the same Global Account.Example:
GA-DEMO-0001onBehalfOfChild customer identifier when a platform merchant queries on behalf of a child customer. The Global Account must belong to this child customer and the caller must be authorized for that customer.
Example:
456curl -X POST 'https://sandbox-api.onerway.com/account-server/api/v1/account/global/getDetail' \
-H 'Content-Type: application/json' \
--data-raw '{
"requestId": "REQ-GA-20260423-0002",
"globalAccountId": "1001"
}'Response
successWhether the Global Account detail query was processed successfully. When this value is
false, read respCode and respMsg for the failure reason and do not rely on data as account details.respCodeBusiness response code for Global Account APIs. The success response code is
20000.respMsgHuman-readable prompt or error message for the response code.
data{ globalAccountId, globalAccountNo, ... }Global Account details.
error{ type, code, ... }Structured error details returned by the Account service.
{
"success": true,
"respCode": "20000",
"respMsg": "Success",
"data": {
"globalAccountId": "1001",
"globalAccountNo": "GA-DEMO-0001",
"globalAccountName": "Acme USD Collection",
"customerId": "CUS-EXAMPLE-001",
"customerName": "Acme Ltd",
"mainAccountNo": "MAIN-ACCOUNT-001",
"mainAccountName": "Main Account",
"iban": "GB29NWBK60161331926819",
"bankCode": "NWBKGB2L",
"swiftCode": "NWBKGB2LXXX",
"bankAddress": "1 Example Street",
"bankName": "Example Bank",
"bankCountry": "GB",
"bizTypeList": [
"COBO",
"POBO"
],
"supportCurrencies": [
"USD",
"EUR"
],
"institution": "Example Institution",
"webhookUrl": "https://merchant.example.com/hooks/account",
"operatingEntity": "Example Entity",
"status": "Active",
"globalActiveTime": "2026-04-23T06:31:18.266Z",
"addressCity": "London",
"addressPostalCode": "EC1A1BB"
}
}No error responses are documented for this endpoint.